<h1 id="title">{{t "Welcome to Ember"}}</h1>

<h2>
  {{t "Raw translations"}}
</h2>

<p>
  {{t "These are the raw translations as defined in the \"cs\" locale."}}
</p>

<ul>
  <dl>
    <dt>validations.blank</dt>
    <dd id="validations-blank">{{t "validations.blank"}}</dd>
  </dl>
  <dl>
    <dt>validations.url</dt>
    <dd id="validations-url">{{t "validations.url"}}</dd>
  </dl>
</ul>

<h2>
  {{t "Changeset validations"}}
</h2>

<p>
  {{t "Changeset validations (the changeset has 2 URL errors)"}}
</p>

<form>
  <label>
    {{t "label.title"}}
    <Input id="title-input" @type="text" @value={{this.model.title}} />
  </label>
  <ul id="title-errors">
    {{#each (get this.model "error.title.validation") as |errorKey|}}
      <li>
        {{errorKey}}
      </li>
    {{/each}}
  </ul>

  <label>
    {{t "label.url"}}
    <Input id="url-input" @type="text" @value={{this.model.url}} />
  </label>
  <ul id="url-errors">
    {{#each (get this.model "error.url.validation") as |errorKey|}}
      <li>
        {{errorKey}}
      </li>
    {{/each}}
  </ul>

  <button type="submit">
    {{t "Submit"}}
  </button>
</form>